# CursedDLLs

#### Uploaded by Potatoes to Thunderstore, on behalf and with permission from the creators. I am not the creator of CursedDLLs, and do not claim to be. I am only maintaining its current state.

## NOTE: CURSED DLLS WILL PREVENT TNH SCORING!

## Plugin descriptions

#### `Assembly-CSharp.Cursed.RemoveRoundTypeCheck.mm` -- adds a type field to all rounds

Doesn't add any features by itself, but is required for some plugins to work

#### `Cursed.BetterBipods` -- improves bipod recoil

Bipods now have balanced recoil, more rearward than upward

#### `Cursed.FullAuto` -- make closed-bolt rifles and handguns be full-auto

Makes all closed bolt rifles and handguns have a full auto safety setting. This excludes:
* Handguns without a safety (I.E. Glocks, TT-33, etc)
* Semi Auto Shotguns (full auto with those is handelled differently currently unknown to us, might be with slam fire)

#### `Cursed.LoadScene` -- load any scene with a button press

You can edit which scene is loaded with CTRL+0-9 by editing the configuration file at 
`<H3VR folder>/BepInEx/config/dll.cursed.loadscene.cfg` (you need to run the game at least once for it to be generated.)

#### `Cursed.RemoveAttachmentChecks` -- removes checks related to attachments

* All attachments are bi-directional
* You can apply any attachment on any weapon in any attachment point
* There is no upper bound on the number of attachments per weapon
* If easy mag reloading is enabled, attachments will phase through objects to create yet more cursed guns

#### `Cursed.RemoveMagCheck` -- allows any magazine or clip to be used on any gun

This change makes any magazine or clip usable on any gun. Why not?

#### `Cursed.RemoveRoundTypeCheck` -- allows any round to be used in any gun or any magazine/clip

Potatos in an SMG? Oh my! This also adds some extra features to several other things.

* Load any round into any speedloader
* Load any round into the 6Twelve
* Load any round into belt feds
* The ammo spawner can now fill any gun in the game with any ammo
* If an invalid round is created (ie a JHP shotgun shell) it is replaced with a FMJ .45ACP

#### `Cursed.SuppressAssemblyLoadErrors` -- fix errors when loading certain plugins

Enables proper support for tools like [ConfigManager](https://github.com/BepInEx/BepInEx.ConfigurationManager) and [RuntimeUnityEditor](https://github.com/ManlyMarco/RuntimeUnityEditor).

#### `Cursed.TimeScale` -- allows to speed up or slow down the game

Allows to slow down time using the snapturning buttons in the wrist menu. When time is slowed down, sounds are pitched down as well.

You can edit the amount by which time is slowed down with a single click by editing the configuration file at 
`<H3VR folder>/BepInEx/config/dll.cursed.timescale.cfg` (you need to run the game at least once for it to be generated.)

#### `Cursed.UnlockAll` -- unlocks all Rewards, puts non-item spawner items into the item spawner

Should be rather explanatory, have fun. All objects are found under Misc->Backpacks.

You can choose to overwrite your Rewards.txt contents by editing the configuration file at 
`<H3VR folder>/BepInEx/config/dll.cursed.unlockall.cfg` (again, you need to run the game at least once for it to be generated.)

## Credits

* [drummerdude2003](https://github.com/drummerdude2003) -- original work
* [denikson](https://github.com/denikson) -- help with porting patches over to Harmony
* [BlockBuilder57](https://github.com/BlockBuilder57) -- improvements to existing patches and some new type checking patches
* [modeco80](https://github.com/modeco80) -- developed MSBuild targets to automatically copy the plugins to the proper directories

## Update / Changelog

### v1.4.2
- Bump BepInEx ver, both code-wise and as dep to v5.4.17
- Fixed issue that would prevent TnH from working as of v100 Alpha 4
- Moved SpawnerIDs for all items from Backpacks to Uncategorized

### v1.4.3
- Hotfix for v1.4.2- works now!
- Removed lines of code which would throw errors on launch